## python-slip 0.2.24

=== Makefile ===
# License: GPL v2 or later
# Copyright Red Hat Inc. 2008

PKGNAME=python-slip

SCM_REMOTEREPO_RE = ^ssh://(.*@)?git.fedorahosted.org/git/$(PKGNAME).git$
SCM_REMOTE_BRANCH = 0.2.x
UPLOAD_URL = ssh://fedorahosted.org/$(PKGNAME)

PY_SOURCES = $(wildcard slip/*.py slip/dbus/*.py slip/gtk/*.py)

all:	py-build
	
include rpmspec_rules.mk
include py_rules.mk
include git_rules.mk
include upload_rules.mk

install:	py-install

clean:	py-clean

=== debian/changelog ===
python-slip (0.2.24-1) unstable; urgency=low

  * Initial release. (Closes: #700153)

 -- Michael Biebl <biebl@debian.org>  Sat, 09 Feb 2013 06:48:05 +0100

## python-slip 0.4.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 PKGNAME=python-slip
 
 SCM_REMOTEREPO_RE = ^ssh://(.*@)?git.fedorahosted.org/git/$(PKGNAME).git$
-SCM_REMOTE_BRANCH = 0.2.x
 UPLOAD_URL = ssh://fedorahosted.org/$(PKGNAME)
 
 PY_SOURCES = $(wildcard slip/*.py slip/dbus/*.py slip/gtk/*.py)

=== debian/changelog ===
python-slip (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Mar 2013 15:48:30 +0100

=== debian/control ===
Source: python-slip
Section: python
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 9),
 python (>= 2.6.6-3~)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/python-slip.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-slip.git;a=summary
Homepage: https://fedorahosted.org/python-slip/

Package: python-slip
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: miscellaneous convenience, extension and workaround code for Python
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-dbus
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-slip (= ${source:Version}),
 python-dbus,
 python-decorator
Description: convenience functions for dbus services
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-slip (= ${source:Version}),
 python-cairo,
 python-gtk2
Description: code to make auto-wrapping gtk labels
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

=== debian/watch ===
version=3
https://fedorahosted.org/released/python-slip/python-slip-(.*)\.tar\.bz2

## python-slip 0.6.0

=== debian/changelog ===
python-slip (0.6.0-2) unstable; urgency=medium

  * Add missing dependency on python-six to python-slip and python-slip-dbus.
    (Closes: #745327)
  * Update copyright file. (Closes: #701848)

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Apr 2014 15:15:48 +0200

python-slip (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2014 21:14:38 +0100

=== debian/control ===
Source: python-slip
Section: python
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~)
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/collab-maint/python-slip.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-slip.git;a=summary
Homepage: https://fedorahosted.org/python-slip/

Package: python-slip
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-six
Description: miscellaneous convenience, extension and workaround code for Python
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-dbus
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-slip (= ${source:Version}),
         python-dbus,
         python-decorator,
         python-six
Description: convenience functions for dbus services
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-slip (= ${source:Version}),
         python-cairo,
         python-gtk2
Description: code to make auto-wrapping gtk labels
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	dh_install --list-missing

## python-slip 0.6.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 PKGNAME=python-slip
 
 SCM_REMOTEREPO_RE = ^ssh://(.*@)?git.fedorahosted.org/git/$(PKGNAME).git$
+SCM_REMOTE_BRANCH = 0.6.x
 UPLOAD_URL = ssh://fedorahosted.org/$(PKGNAME)
 
 PY_SOURCES = $(wildcard slip/*.py slip/dbus/*.py slip/gtk/*.py)

=== debian/changelog ===
python-slip (0.6.1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Pango Python binding is actually part of the python-gtk2
    package, python-pango package doesn't exist.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Oct 2015 10:25:14 +0100

python-slip (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Add python-selinux to python-slip dependency list
  * python-slip-gtk requires python-pango not python-cairo
  * Start building python3 packages
  * Fix D-Bus capitalisation
  * Fix Vcs-Git URL to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Oct 2015 22:31:39 +0200

python-slip (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update Vcs-Git and Vcs-Browser to use the canonical Alioth URLs.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 00:40:48 +0200

=== debian/control ===
Source: python-slip
Section: python
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python (>= 2.6.6-3~),
               python3 (>= 3.2)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/python-slip.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-slip.git
Homepage: https://fedorahosted.org/python-slip/

Package: python-slip
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-six,
         python-selinux
Description: miscellaneous convenience, extension and workaround code for Python
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-dbus
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-slip (= ${source:Version}),
         python-dbus,
         python-decorator,
         python-six
Description: convenience functions for D-Bus services
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python-slip-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python:Depends},
         python-slip (= ${source:Version}),
         python-gtk2
Description: code to make auto-wrapping gtk labels
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python3-slip
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-six,
         python3-selinux
Description: miscellaneous convenience, extension and workaround code for Python
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python3-slip-dbus
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-slip (= ${source:Version}),
         python3-dbus,
         python3-decorator,
         python3-six
Description: convenience functions for D-Bus services
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build -- PYTHON=/usr/bin/python
	dh_auto_build -- PYTHON=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install -- PYTHON=/usr/bin/python
	dh_auto_install -- PYTHON=/usr/bin/python3

override_dh_install:
	dh_install --list-missing

## python-slip 0.6.5

=== doc/dbus/example/Makefile ===

servicedir = /usr/share/dbus-1/system-services
service_DATA = org.fedoraproject.slip.example.mechanism.service

confdir = /etc/dbus-1/system.d
conf_DATA = org.fedoraproject.slip.example.mechanism.conf

policy0dir = /usr/share/PolicyKit/policy
policy0_DATA = org.fedoraproject.slip.example.policy

policy1dir = /usr/share/polkit-1/actions
policy1_DATA = org.fedoraproject.slip.example.policy

libexecdir = /usr/local/libexec
libexec_SCRIPTS = example-conf-mechanism.py

all:
	@echo Use "make <target>". Targets are:
	@echo example_install
	@echo example_uninstall

example_install:
	install -d $(libexecdir)
	install -m0755 $(libexec_SCRIPTS) $(libexecdir)
	install -d $(servicedir)
	install -m0644 $(service_DATA) $(servicedir)
	install -d $(confdir)
	install -m0644 $(conf_DATA) $(confdir)
	# old dbus daemon versions are stupid
	touch $(confdir)/$(conf_DATA)
	install -d $(policy0dir)
	install -m0644 $(policy0_DATA) $(policy0dir)
	install -d $(policy1dir)
	install -m0644 $(policy1_DATA) $(policy1dir)
	-/sbin/restorecon -v -R $(libexecdir) $(servicedir) $(confdir) $(policy0dir) $(policy1dir)

example_uninstall:
	for p in $(libexec_SCRIPTS); do \
		rm -f "$(libexecdir)/$$p"; \
	done
	for p in $(service_DATA); do \
		rm -f "$(servicedir)/$$p"; \
	done
	for p in $(conf_DATA); do \
		rm -f "$(confdir)/$$p"; \
	done
	for p in $(policy0_DATA); do \
		rm -f "$(policy0dir)/$$p"; \
	done
	for p in $(policy1_DATA); do \
		rm -f "$(policy1dir)/$$p"; \
	done

=== debian/changelog ===
python-slip (0.6.5-2) unstable; urgency=medium

  * Drop binary packages for python2 (Closes: #885469)
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11
  * Switch to dh_missing

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jan 2018 01:12:19 +0100

python-slip (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Michael Biebl <biebl@debian.org>  Sat, 27 May 2017 22:23:26 +0200

python-slip (0.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream location.
    fedorahosted.org has shut down, use github.com instead.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* to use the same URL, both via https.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Mar 2017 00:14:44 +0100

=== debian/control ===
Source: python-slip
Section: python
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3 (>= 3.2)
Standards-Version: 4.1.3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/python-slip.git
Vcs-Browser: https://salsa.debian.org/debian/python-slip
Homepage: https://github.com/nphilipp/python-slip/

Package: python3-slip
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-six,
         python3-selinux
Description: miscellaneous convenience, extension and workaround code for Python
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

Package: python3-slip-dbus
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-slip (= ${source:Version}),
         python3-dbus,
         python3-decorator,
         python3-six
Description: convenience functions for D-Bus services
 The Simple Library for Python packages contain miscellaneous code for
 convenience, extension and workaround purposes.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=/usr/bin/python3

%:
	dh $@ --with python3

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
https://github.com/nphilipp/python-slip/releases/ .*/python-slip-(.*)\.tar\.bz2
